Bug 620488 - [abrt] crash in gnucash-2.2.9-4.fc12: __tzfile_compute: Process /usr/bin/gnucash-bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in gnucash-2.2.9-4.fc12: __tzfile_compute: Process /usr/bin/gnuc...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash   
(Show other bugs)
Version: 12
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ab899af84e95b6fc18a93a265a4...
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 16:51 UTC by Richard M Madsen
Modified: 2014-03-17 03:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-09 13:48:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.33 KB, text/plain)
2010-08-02 16:51 UTC, Richard M Madsen
no flags Details

Description Richard M Madsen 2010-08-02 16:51:49 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: gnucash bin
comment: Viewing Price Editor and switching to open office spreadsheet.
component: gnucash
crash_function: __tzfile_compute
executable: /usr/bin/gnucash-bin
global_uuid: ab899af84e95b6fc18a93a265a4f285b06aa0c8f
kernel: 2.6.32.16-141.fc12.i686.PAE
package: gnucash-2.2.9-4.fc12
rating: 4
reason: Process /usr/bin/gnucash-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 Richard M Madsen 2010-08-02 16:51:52 UTC
Created attachment 436066 [details]
File: backtrace

Comment 2 Bill Nottingham 2010-08-02 17:03:09 UTC
ize_t
qof_print_date_buff (char * buff, size_t len, time_t t)
{
  struct tm theTime;

  if (!buff) return 0 ;

  localtime_r(&t, &theTime);
...

That shouldn't segfault, unless I'm missing something. Moving to libc.

Comment 3 Andreas Schwab 2010-08-03 08:39:47 UTC
Most likely a memory corruption bug.

Comment 4 d. johnson 2010-08-09 13:48:16 UTC
Can you run su -c 'setenforce 0; debuginfo-install gnucash', and then retest?



Thank you for taking the time to report this bug report. Unfortunately, that stack trace is not very useful in determining the cause of the crash, because there are no debugging symbols loaded (probably abrt failed to load them).

Unfortunately, we cannot use this backtrace.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.